#
# spec file for package mdbtools
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mdbtools
%define gnome_prefix /usr
%define gnome_datadir %{gnome_prefix}/share
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libtool
BuildRequires:  readline-devel
BuildRequires:  scrollkeeper
BuildRequires:  unixODBC-devel
#BuildRequires:  update-desktop-files
Url:            https://github.com/brianb/mdbtools
Version:        0.7
Release:        43.13%{?dist}
Summary:        A Suite of Libraries and Programs to Access Microsoft Access Databases
License:        GPL-2.0+
Group:          Productivity/Databases/Tools
Source:         mdbtools-%{version}.tar.gz
Source1:        gmdb2.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mdbtools contains:
mdb-dump -- simple hex dump utility for looking at mdb files
mdb-schema -- prints DDL for the specified table
mdb-export -- export table to CSV format
mdb-tables -- a simple dump of table names to be used with shell scripts
mdb-header -- generates a C header to be used in exporting mdb data to a C prog
mdb-parsecvs -- generates a C program given a CSV file made with mdb-export
mdb-sql -- demo SQL engine program
mdb-ver -- print version of database

%package devel
Requires:       %{name} = %{version}
Requires:       %{name}-odbc = %{version}
Requires:       flex
Requires:       glib2-devel
Requires:       unixODBC-devel
Summary:        All files necessary for development with the MDB Tools libraries
Group:          Development/Libraries/C and C++

%description devel
Mdbtools contains:
mdb-dump -- simple hex dump utility for looking at mdb files
mdb-schema -- prints DDL for the specified table
mdb-export -- export table to CSV format
mdb-tables -- a simple dump of table names to be used with shell scripts
mdb-header -- generates a C header to be used in exporting mdb data to a C prog
mdb-parsecvs -- generates a C program given a CSV file made with mdb-export
mdb-sql -- demo SQL engine program
mdb-ver -- print version of database

%package gui
Summary:        A Suite of libraries and programs to access Microsoft Access databases
Group:          Productivity/Databases/Tools

%description gui
Mdbtools contains:
mdb-dump -- simple hex dump utility for looking at mdb files
mdb-schema -- prints DDL for the specified table
mdb-export -- export table to CSV format
mdb-tables -- a simple dump of table names to be used with shell scripts
mdb-header -- generates a C header to be used in exporting mdb data to a C prog
mdb-parsecvs -- generates a C program given a CSV file made with mdb-export
mdb-sql -- demo SQL engine program
mdb-ver -- print version of database

%package -n libmdbodbc1
Summary:        MDB Tools ODBC driver for unixODBC
Group:          Productivity/Databases/Tools
Provides:       mdbtools-odbc = %{version}
Obsoletes:      mdbtools-odbc < %{version}

%description -n libmdbodbc1
Mdbtools contains:
mdb-dump -- simple hex dump utility for looking at mdb files
mdb-schema -- prints DDL for the specified table
mdb-export -- export table to CSV format
mdb-tables -- a simple dump of table names to be used with shell scripts
mdb-header -- generates a C header to be used in exporting mdb data to a C prog
mdb-parsecvs -- generates a C program given a CSV file made with mdb-export
mdb-sql -- demo SQL engine program
mdb-ver -- print version of database

%prep
%setup -q

%build
autoreconf -f -i
%configure --disable-static --with-pic --with-unixodbc=%{_usr}
%{__make} %{?jobs:-j%jobs} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%check
make check

%install
%makeinstall
install -D -m 0644 %{S:1} %{buildroot}%{gnome_datadir}/applications/gmdb2.desktop
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n libmdbodbc1 -p /sbin/ldconfig

%postun -n libmdbodbc1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS HACKING ChangeLog TODO
/usr/bin/mdb-*
%_libdir/libmdb.so.2
%_libdir/libmdb.so.2.0.0
%_libdir/libmdbsql.so.2
%_libdir/libmdbsql.so.2.0.0
%doc %_mandir/man1/mdb-*.1*

%files devel
%defattr(-,root,root)
/usr/include/mdb*.h
/usr/include/gmdb.h
/usr/include/connectparams.h
%_libdir/libmdbsql.so
%_libdir/libmdb.so
%_libdir/libmdbodbc.so
%_libdir/pkgconfig/libmdb.pc
%_libdir/pkgconfig/libmdbsql.pc

%files gui
%defattr(-,root,root)
%gnome_prefix/bin/gmdb2
%gnome_datadir/gmdb
%doc %gnome_datadir/gnome/help/gmdb
%gnome_datadir/applications/gmdb2.desktop
%_mandir/man1/gmdb2.1*

%files -n libmdbodbc1
%defattr(-,root,root)
%_libdir/libmdbodbc.so.1
%_libdir/libmdbodbc.so.1.0.0

%changelog
* Mon Apr 29 2013 mhrusecky@suse.com
- migrated to the new upstream version 0.7
  https://github.com/brianb/mdbtools
- no detailed changelog
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon Jun  7 2010 coolo@novell.com
- fix parallel build
* Wed Dec  2 2009 coolo@novell.com
- updated patches, fix build
* Fri Jan  9 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Mon Oct 13 2008 pth@suse.de
- Add provides so that 0.6pre1 is newer than 20070410cvs.
* Thu Sep 25 2008 ro@suse.de
- call autoreconf -f -i for new libtool
* Mon Aug 18 2008 pth@suse.de
- Update to latest cvs version.
- Remove the use of run_ldconfig
- Mark help files as %%doc
- Remove duplicate requires
- Clean up the code.
* Fri Jun 22 2007 pth@suse.de
- Fix dependencies.
* Tue Apr 10 2007 uli@suse.de
- update -> 20071004cvs (can read GameBase databases)
* Fri Mar 30 2007 rguenther@suse.de
- Add bison and flex BuildRequires
* Thu Feb 16 2006 pth@suse.de
- Fix off by one bug (Bugzilla #151484)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec  8 2005 pth@suse.de
- Fix type-punning
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Sat Aug 16 2003 adrian@suse.de
- added desktop file
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 27 2003 pthomas@suse.de
- Actually apply the included patches.
- Add directory to file list.
* Wed Jun 25 2003 pthomas@suse.de
- Initial package creation.
